Bug 1138124 - [Import Domain] When a Storage Domain is moved to maintenance the OVF store disk should be updated synchronously
Summary: [Import Domain] When a Storage Domain is moved to maintenance the OVF store d...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.5.0
Assignee: Liron Aravot
QA Contact: Elad
URL:
Whiteboard: storage
Depends On:
Blocks: 1147251
TreeView+ depends on / blocked
 
Reported: 2014-09-04 06:34 UTC by Maor
Modified: 2020-02-14 17:31 UTC (History)
14 users (show)

Fixed In Version: org.ovirt.engine-root-3.5.0-25
Doc Type: Bug Fix
Doc Text:
Cause: Data Centers in version 3.5 support OVF stores disk on any domain that contains the OVF data related to the domain (which means - VMs/Templates that has at least on disk on the domain or diskless VMs/Templates). The OVF stores are created (the number of stores is defined by the StorageDomainOvfStoreCount config value) and updated by the OvfDataUpdater on a regular basis on intervals defined by OvfUpdateIntervalInMinutes config value. Therefore When a domain is being moved to maintenance it's OVF data might not be up to date. Consequence: The domain moves to maintenance status, but the OVF data on it's OVF stores is not updated and there might be less OVF stores then defined. Fix: When a Storage Domain is being moved to maintenance OVF stores on it should be created/updated. Result: When a Storage Domain is being moved to maintenance OVF stores on it are created/updated.
Clone Of:
Environment:
Last Closed:
oVirt Team: Storage
Target Upstream Version:
amureini: Triaged+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 33157 0 master MERGED core: Extracting OvfDataUpdater logic to commands Never
oVirt gerrit 33158 0 master MERGED core: perform ovf update for domain when it's deactivated Never
oVirt gerrit 35815 0 ovirt-engine-3.5 MERGED core: Extracting OvfDataUpdater logic to commands Never
oVirt gerrit 35816 0 ovirt-engine-3.5 MERGED core: Adding context ctor ProcessOvfUpdateForStorageDomain Never
oVirt gerrit 35817 0 ovirt-engine-3.5 MERGED core: perform ovf update for domain when it's deactivated Never
oVirt gerrit 35819 0 ovirt-engine-3.5 MERGED core: handling of possible race when deactivating domain Never
oVirt gerrit 35820 0 ovirt-engine-3.5 MERGED core: jobs/steps/audit log handling for domain deactivation Never
oVirt gerrit 35821 0 ovirt-engine-3.5 MERGED core: correct ProcessOvfUpdateForStorageDomainCommand lock properties Never
oVirt gerrit 35822 0 ovirt-engine-3.5 MERGED core: remove unneeded setSucceeded Never
oVirt gerrit 35949 0 ovirt-engine-3.5 MERGED core: DeactivateStorageDomainWithOvfUpdate - locks Never
oVirt gerrit 35950 0 ovirt-engine-3.5 MERGED core: always perform ovf update after disk creation Never
oVirt gerrit 35951 0 ovirt-engine-3.5 MERGED core: CreateOvfStoresForStorageDomain - set StorageDomainId Never

Description Maor 2014-09-04 06:34:32 UTC
Description of problem:
 When the user moved the Storage Domain to maintenance, all the entities related to the Storage Domain should be updated in the OVF_STORE disk

Version-Release number of selected component (if applicable):


How reproducible:
50% (Depends on the  scheduler and the minutes in the config value)

Steps to Reproduce:
1. Add a VM and a disk
2. immediately move the Storage Domain to maintenance.
3. Try to import the Storage Domain to another setup

Actual results:
The VM will not be part of the unregistered entities

Expected results:
The VM should be part of the unregistered entities

Additional info:

Comment 1 Ori Gofen 2014-10-20 12:04:31 UTC
please verify dependent BZ #1147251

Comment 2 Allon Mureinik 2014-12-09 14:50:58 UTC
Liron, please add doctext to explain how this addects putting a domain in maintenance.

Comment 4 Elad 2014-12-16 10:29:02 UTC
Maintenance storage domain triggers an UploadStreamVDSCommand for the OVF store disk. All the entities that exist on that domain are availeable to be registered in the new DC.

2014-12-16 10:17:47,416 INFO  [org.ovirt.engine.core.bll.storage.DeactivateStorageDomainWithOvfUpdateCommand] (org.ovirt.thread.pool-7-thread-6) [6e60e28b] Running command: DeactivateStorageDomainWithOvfUpdateCommand internal: false. Entities affected :  ID: 0f4c7dbf-8989-40e1-8988-ed0717429db9 Type: StorageAction group MANIPULATE_STORAGE_DOMAIN with role type ADMIN

2014-12-16 10:17:47,560 INFO  [org.ovirt.engine.core.bll.ProcessOvfUpdateForStorageDomainCommand] (org.ovirt.thread.pool-7-thread-6) [55f550d7] Running command: ProcessOvfUpdateForStorageDomainCommand internal: true. Entities affected :  ID: 0f4c7dbf-8989-40e1-8988-ed0717429db9 Type: Storage


Verified using rhev3.5 vt13.3
rhevm-3.5.0-0.25.el6ev.noarch

Comment 5 Liron Aravot 2014-12-22 16:34:05 UTC
Elad, thanks for verifying! I suggest further check for this bug - increase StorageDomainOvfStoreCount and see that more stores are created and updated on the deactivation.

Comment 6 Elad 2014-12-23 14:19:18 UTC
OVF_UPDATE is executed the number of times specified for the domain that is being deactivated

Comment 7 Allon Mureinik 2015-02-16 19:13:13 UTC
RHEV-M 3.5.0 has been released, closing this bug.

Comment 8 Allon Mureinik 2015-02-16 19:13:16 UTC
RHEV-M 3.5.0 has been released, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.